Moving to Zstandard images by default on mkinitcpio

As linux-lts moved to the 5.10 version, all official kernels of Arch Linux now support zstd compressed initramfs images, so mkinitcpio is switching to zstd compressed images by default with…

Read more »

Chromium losing Sync support in early March

Google has announced that they are going to block everything but Chrome from accessing certain Google features (like Chrome sync) starting on March 15. This decision by Google is going…

Read more »

PHP 8.0 and PHP 7 legacy packages are available

The php package has been updated to version 8.0. Please refer to the upstream migration guide. As some applications are not compatible with PHP 8 yet we provide a php7…

Read more »

Manual pages indexing service

We are happy to announce our newest public service: A manual pages indexing site at man.archlinux.org that publishes the man pages of all our packages and allows you to search…

Read more »

Arch Linux mailing list id changes

Due to issues with our anti spam measures, we had to migrate those mailing lists, that were sent from @archlinux.org before to the @lists.archlinux.org domain. Submission to the mailing list…

Read more »

Accessible installation medium

We are very happy to announce that accessibility features have been added to our installation medium with archiso v49. From release 2020.11.01 onward these are available via the 2nd boot…

Read more »

[BUG] Crash when using mesa-20.3.0-2

Bug report: FS#68880 (Confirmed) CPU: AMD/GPU: AMD Error: Xorg does not work Temporary solution: Downgrade to mesa 20.2.3-1 This error can be reproduced when updating mesa to 20.3.0-2. Let’s wait…

Read more »

libtraceevent>=5.9-1 update requires manual intervention

The libtraceevent package prior to version 5.9-1 was missing a soname link. This has been fixed in 5.9-1, so the upgrade will need to overwrite the untracked files created by…

Read more »

nvidia 455.28 is incompatible with linux >= 5.9

nvidia is currently partially incompatible with linux >= 5.9 [1] [2]. While graphics should work fine, CUDA, OpenCL, and likely other features are broken. Users who’ve already upgraded and need…

Read more »

ghostpcl>=9.53.2-2 and ghostxps>=9.53.2-2 updates require manual intervention

The ghostpcl and ghostxps packages prior to version 9.53.2-2 were missing a soname link each. This has been fixed in 9.53.2-2, so the upgrade will need to overwrite the untracked…

Read more »